package com.ema.common.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Boolean枚举：0-否，1-是
 *
 * @author LIJIAN
 */
@Getter
@AllArgsConstructor
public enum BooleanEnum {
    FALSE("0", "否"),
    TRUE("1", "是");

    private String value;
    private String describe;

    public static String getDescribe(String value) {
        for (BooleanEnum p : BooleanEnum.values()) {
            if (p.getValue().equals(value)) {
                return p.describe;
            }
        }
        return null;
    }
}